.icon {
    width: 200px;
}

.wrapper {
    display: flex;
    height: calc(100vh - 64px);
    width: calc(100vw - 64px);
    align-items: center;
    justify-content: center;
    flex-direction: column;

    input {
        padding: 8px;
        width: 100%;
        border: 0;
        border-bottom: 1px solid #002846;
        max-width: 300px;
        margin: 8px 0;
        font-size: 16px;
        background: none;
        letter-spacing: .15rem;
        position: relative;
        outline: none;

        &::after {
            content: '';

        }
    }

    button {
        background: #002846;
        color: #fff;
        margin: 1rem 0;
        width: 300px;
        height: 3rem;
        margin-bottom: 4rem;
        transition: all ease .3s;
        border: none;
        position: relative;
        overflow: hidden;
        outline: none;

        &:disabled {
            opacity: .5;
        }

        &:hover:not(:disabled),
        &:focus:not(:disabled) {
            box-shadow: inset -20em 0px 0 0 #1f9ad4;
            letter-spacing: .15em;

            &:after {
                transform: translateX(0) translateY(10px);
            }
        }

        &:after {
            content: '➤';
            font-size: 10rem;
            position: absolute;
            top: 19px;
            color: #fff;
            transition: all ease .3s;
            transform: translateX(30px) translateY(0px);
        }
    }

    a {
        margin: 0 0 1rem;
        text-decoration: underline;
        cursor: pointer;
        font-size: .8rem;
        background-image: linear-gradient(to right, #1f9ad4 0, #1f9ad4 100%);
        background-position: 0 1.2em;
        background-size: 0 100%;
        background-repeat: no-repeat;
        transition: background .5s;

        &:hover {
            background-position: 0 -0.1em;
        }
    }
}
